@charset "UTF-8";
/*************************************************************************
 * Cipher Copyright © 2017, Ellusionist.com, Inc
 * 
 * ELLUSIONIST CONFIDENTIAL
 * __________________
 * 
 *  2017 Ellusionist.com, Inc 
 *  All Rights Reserved.
 * 
 * NOTICE: All information contained herein is, and remains
 * the property of Ellusionist.com, Inc and its suppliers,
 * if any. The intellectual and technical concepts contained
 * herein are proprietary to Ellusionist.com, Inc
 * and its suppliers and may be covered by U.S. and Foreign Patents,
 * patents in process, and are protected by trade secret or copyright law.
 * You are strictly prohibited to disseminate, reproduce, modify, reverse engineer, 
 * decompile, disassemble, copy, publish, rent, lend, lease or derive works 
 * from this software or circumvent any technical protection measures contained herein
 * unless prior written permission is obtained from Ellusionist.com, Inc.
 */
.blackBackground{
	background: #000;
}
.revealcell {
	max-height:100px;
	text-align:center;
	color:#ABA9A9;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
}
.calcField {
	background-color: #191919;
	color: #FFF;
	margin: 0 auto;
	padding: 0;
	height: 300px;
	position: relative;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
	width:100vw;
	display:block;
}
.calcField .ios11 {
	background-color: #000000;
}
.calcField-content {
	font-family: -apple-system;
	font-size: 100px;
	font-weight: 100;
	position: absolute;
	bottom: 0;
	right: 0;
	width: 100%;
	text-align:right;
	display:block;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
	padding-right:5px;
}
#wholecontainer {
	/*background-color:#000;*/
	-webkit-touch-callout: none;
}
#wholecontainer .ios11{
	background-color:#000
}
body, html {
	font-family: -apple-system;
	position: fixed;
	margin: 0 auto;
	padding: 0px 0px 0px 0px;
	overflow: hidden;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
	background-color:#191919;
	height:100vh;
}
table {
	width: 100vw;
	background:rgba(255,255,255,0.3);
	border-color: #000000;
	border-width: 1px;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
	word-wrap:break-word;
	table-layout:fixed;
}
td {
	position: relative;
	-webkit-touch-callout: none;
	
}
.calculatorbuttons {
	/*iOS 11 style*/
	
}
.ios11 td{
	border-spacing: 10px;
	border-radius: 10em;
	width: 20%;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
}
.numberButton {
	font-family: -apple-system;
	font-weight: 200;
	background: #D0D1D4;
	padding: 1;
	margin: 0 auto;
	border-color: rgba(0,0,0,0.5);
	border-width: 0px;
	text-align: center;
	font-size:38px;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
}
.numberButton:active {
	font-family: -apple-system;
	font-weight: 200;
	background: #bbbdbf;
	padding: 1;
	margin: 0 auto;
	border-color: rgba(0,0,0,0.5);
	border-width: 0px;
	text-align: center;
	font-size:38px;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
}
.numberButtonios11 {
	font-family: -apple-system;
	font-weight: 300;
	padding: 1;
	margin: 0 auto;
	border-color: rgba(0,0,0,0.5);
	border-width: 0px;
	text-align: center;
	font-size:38px;
	background:#333333;
	color: #FFF;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	transition: background 0.7s, color 0.7s;
	-webkit-transition: background 0.7s, color 0.7s;
	text-indent: 1px;	
}
.numberButtonios11:active {
	font-family: -apple-system;
	font-weight: 300;
	padding: 1;
	margin: 0 auto;
	border-color: rgba(0,0,0,0.5);
	border-width: 0px;
	text-align: center;
	font-size:38px;
	background:#737373;
	color: #FFF;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	transition: background 0.1s, color 0.1s;
	-webkit-transition: background 0.1s, color 0.1s;
}
.operationButton {
	font-family: -apple-system;
	font-weight: 200;
	background: #F98B11;
	padding: 1;
	margin: 0 auto;
	border-color: #000;
	border-width: 0px;
	border-style: solid;
	border-right-style: hidden;
	text-align: center;
	font-size:36px;
	color:#FFFFFF;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;	
}
.operationButton:active {
	font-family: -apple-system;
	font-weight: 200;
	background: #e08010;
	padding: 1;
	margin: 0 auto;
	border-color: rgba(0,0,0,0.5);
	border-width: 0px;
	text-align: center;
	font-size:36px;
	color:#FFFFFF;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
}
.operationios11 {
	background: #FF9501;
	color: #FFF;
	font-weight: 300;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	font-family: -apple-system;
/*	padding: 1;*/
	margin: 0 auto;
	border-color: #000;
	border-width: 0px;
	border-style: solid;
	border-right-style: hidden;
	text-align: center;
	font-size:46px;	
	transition: background 0.7s, color 0.7s;
	-webkit-transition: background 0.7s, color 0.7s;
	text-indent: 1px;
}
.operationios11on {
	background: #FFF;
	color: #FF9501;
	transition: background 0.7s, color 0.7s;
	-webkit-transition: background 0.7s, color 0.7s;
}
.operationios11:active {
	background: #FFF;
	color: #FF9501;
	transition: background 0.1s, color 0.1s;
	-webkit-transition: background 0.1s, color 0.1s;
}

.topButtonios11 {
	background:#A6A6A6;
	color: #000;
	font-weight: 300;
	font-family: -apple-system;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	padding: 1;
	margin: 0 auto;
	border-color: rgba(0,0,0,0.5);
	border-width: 0px;
	text-align: center;
	font-size:38px;
	transition: background 0.7s, color 0.7s;
	-webkit-transition: background 0.7s, color 0.7s;
	text-indent: 1px;	
}
.topButtonios11:active{
	background:#d9d9d9;
	color: #000;
	transition: background 0.1s, color 0.1s;
	-webkit-transition: background 0.1s, color 0.1s;
}
.topButton {
	font-family: -apple-system;
	font-weight: 200;
	background: #C3C4C5;
	padding: 1;
	margin: 0 auto;
	border-color: rgba(0,0,0,0.5);
	border-width: 0px;
	text-align: center;
	font-size:38px;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
}
.topButton:active {
	font-family: -apple-system;
	font-weight: 200;
	background: #b5b6b8;
	padding: 1;
	margin: 0 auto;
	border-color: rgba(0,0,0,0.5);
	border-width: 0px;
	text-align: center;
	font-size:38px;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
}
td .content {
	font: -apple-system;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background: black;
	color: #FFFFFF;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	user-select: none;
}